(* Copyright (C) 1994, Digital Equipment Corporation *)
(* All rights reserved.                              *)
(* See the file COPYRIGHT for a full description.    *)

(* This interface exports the configuration information
   used by m3build and quake.  These constants were defined
   when Modula-3 was installed. *)

INTERFACE M3Config;

CONST  (* misc. configuration *)
  TARGET    = "NT386";
  OS_TYPE   = "WIN32";
  WORD_SIZE = "32BITS";
  BUILD_DIR = "NT386MINGNU";
  PATH_SEP  = "\\";
  M3        = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\bin\\cm3"; (* the compiler *)

CONST (* installation directories *)
  BIN_INSTALL   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\bin";
  LIB_INSTALL   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\lib";
  DOC_INSTALL   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\doc";
  PKG_INSTALL   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\pkg";
  MAN_INSTALL   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\man";
  EMACS_INSTALL = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\elisp";
  HTML_INSTALL  = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\www";

(* On some systems (e.g. AFS) you must install public files
   in a different place from where you use them.  The paths
   below specify where to find the installed files. *)

CONST
  BIN_USE   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\bin";
  LIB_USE   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\lib";
  DOC_USE   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\doc";
  PKG_USE   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\pkg";
  MAN_USE   = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\man";
  EMACS_USE = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\elisp";
  HTML_USE  = "/cygdrive/c/DOCUME~1/jay/LOCALS~1/Temp/tmpSUFPlR/cm3-std-NT386MINGNU-d5.7.1\\www";

END M3Config.
